View a markdown version of this page

GetSessionEndpoint - Amazon EMR Serverless

GetSessionEndpoint

Returns the session endpoint URL and a time-limited authentication token for the specified session. Use the endpoint and token to connect a client to the session. Call this operation again when the authentication token expires to obtain a new token.

Request Syntax

GET /applications/applicationId/sessions/sessionId/endpoint HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

applicationId

The ID of the application that the session belongs to.

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [0-9a-z]+

Required: Yes

sessionId

The ID of the session.

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [0-9a-z]+

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "applicationId": "string", "authToken": "string", "authTokenExpiresAt": number, "endpoint": "string", "sessionId": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

applicationId

The output contains the ID of the application.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [0-9a-z]+

authToken

The authentication token for connecting to the session endpoint. Call GetSessionEndpoint again to obtain a new token before it expires.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 8000.

authTokenExpiresAt

The expiration time of the authentication token.

Type: Timestamp

endpoint

The endpoint URL for connecting to the session.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 256.

sessionId

The output contains the ID of the session.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: [0-9a-z]+

Errors

For information about the errors that are common to all actions, see Common Error Types.

InternalServerException

Request processing failed because of an error or failure with the service.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource was not found.

HTTP Status Code: 404

ValidationException

The input fails to satisfy the constraints specified by an AWS service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: